{% load static %}
{% load site_configs_tags %}
{% get_configs 'common.Settings' as site_settings %}

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/ru_RU/sdk.js#xfbml=1&version=v2.10";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<script type="text/javascript" src="{% static 'web/js/libs/instafeed.js' %}"></script>
<script>

    function preprocessCount(value) {
        if(value>1000)
            return (value/1000).toFixed(1)+"k";
        return value;
    }

    function infoResponse(response) {
        var $infoBlock=$(".social-widgets .instagram .info");
        var $ava=$infoBlock.find(".ava img");
        var $postsValue=$infoBlock.find(".posts .value");
        var $subscribersValue=$infoBlock.find(".subscribers .value");
        var $followersValue=$infoBlock.find(".followers .value");

        $ava.attr('src', response.data.profile_picture);
        $postsValue.html(preprocessCount(response.data.counts.media));
        $subscribersValue.html(preprocessCount(response.data.counts.followed_by));
        $followersValue.html(preprocessCount(response.data.counts.follows));
    }
    $(function () {
        var userId='3108297941';
        var clientId='9243e4421b814b739a09e1cc3c6c4c72';
        var accessToken='{{ site_settings.networks_instagram_token }}';
        var infoUrl="https://api.instagram.com/v1/users/"+userId+"/?access_token="+accessToken+"&callback=infoResponse";

        var feed = new Instafeed({
            get: 'user',
            'userId': userId,
            'clientId': clientId,
            'accessToken': accessToken,
            limit: 9,
            after: function () {
                $("#instafeed .loading-overlay").remove();
            }
        });
        feed.run();
        feed.run(infoUrl);
    });
</script>